@import url('https://cdn-uicons.flaticon.com/uicons-regular-rounded/css/uicons-regular-rounded.css');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.contenedor-general {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-content: center;
  gap: 30px;
}

.contenedor-izquierdo {
  background-color: #f5f5f5;
  flex-grow: 1;
}

.contenedor-foto {
  width: 100%;
  height: 450px;
  overflow: hidden;
  margin-bottom: 20px;
}

.contenedor-foto img {
  width: 100%;
}

.contenedor-iconos {
  width: 100%;
  height: 60px;
  padding: 10px 15px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 15px;
}

.icon-container {
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #e81c25;
  border-radius: 50%;
}

.icon {
  color: #fff;
}

.message-text-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  flex-grow: 1;
}

.message-text,
.sub-text {
  margin: 0;
}

.message-text {
  color: #6d6e71;
  font-size: 17px;
  font-weight: 700;
}

.sub-text {
  font-size: 14px;
  color: #555;
}

.contenedor-redes {
  width: 100%;
  padding: 0 20px;
  margin: 20px 0;
  margin-top: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.redes img {
  mix-blend-mode: multiply;
}

.contenedor-derecho {
  width: 700px;
}

.contenedor-derecho h2 {
  padding: 0;
  margin: 0 0 30px 0;
  font-size: 64px;
  width: 60%;
}

.contenedor-perfil {
  padding: 10px;
}

.contenedor-perfil h4 {
  margin: 20px 0 8px 0;
}

.contenido-variado {
  padding: 20px;
  margin: 30px;
}

.contenido-variado h4 {
  margin: 20px 0;
}

.informacion-adicional {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 2em;
}

.card-informacion {
  width: 320px;
  height: 60px;
  padding: 10px 15px;
  background-color: #fff;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  gap: 15px;
  transition: 0.3s;
}

.card-informacion:hover {
  transform: translateY(-0.2rem) scale(1.0125);
  box-shadow: 0 0.5em 3rem -1rem rgba(0, 0, 0, 0.5);
}

/* ESTILOS MODAL */
/* Modal base */
.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.4s ease;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Activar modal con :target */
.modal:target {
  opacity: 1;
  pointer-events: auto;
}

/* Contenido del modal */
.modal-content {
  max-height: 80vh;
  overflow-y: auto;
  background: #fff;
  margin: 10% auto;
  padding: 20px;
  width: 90%;
  max-width: 700px;
  border-radius: 8px;
  position: relative;
}

.modal-content h2,
.modal-content li {
  margin: 20px 0px;
  line-height: 1.5;
  text-align: justify;
}

.modal-content li {
  margin: 30px;
}

/* Botón cerrar */
.close-btn {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  top: 10px;
  right: 15px;
  text-decoration: none;
  font-size: 24px;
  color: #333;
  background-color: red;
  color: #fff;
}

.close-btn:hover {
  text-decoration: none;
  color: #fff;
}

@media (max-width: 768px) {
  .contenedor-derecho h2 {
    width: 100%;
  }

  .contenedor-foto {
    height: 600px;
    margin-bottom: 0;
  }

  .contenido-variado {
    margin: 0;
    padding: 0;
  }
}